# Magnificus Mod

Adds an entirely new Magnificus Act, selectable in the menu!<br />
The act features dungeon crawler-style gameplay, and battles that use the life counters instead of scales.<br />
This mod also features kaycee support, with mod challenge points that don't depend on your act 1 challenge points! Note: You need to **unlock** challenges in this mod, only 3 of them are available from the start.<br />
..But, if you don't feel like it, there's also a config file. :)<br />
You can view your deck in the pause menu.<br />

### Notes

Playing the regular mod instead of the Kaycee Version is reccomended for first time players<br />
Bugs are to be expected! Please report them to me in the discord server.<br />
Feedback and bug reports are always welcome <3

## Known Issues

-Help! All I see is magnificus' finale scene and him standing on a pillar!<br />
This is a strange issue, but the solution is to enter act 2 and start a new run. We have no clue why.<br />
-Bell doesnt appear! This issue also appears in Grimora Mod, to fix this, you have to install the UnlockAll Mod.<br />
## Changelog

<details>
<summary>View Changelog</summary>

- 3.4.0<br />
-Kaycees overhaul! Redid a bunch of boring/unfair challenges.<br />
-Added the final challenge.<br />
-Added Achievements!<br />
-You can now choose which spell to draw from your spell deck.<br />
-Changed the color of skulls to be purple and green.<br />
-Added and reworked some starter decks.<br />
-Improved the minimap.<br />
-The render distance will decrease based on your graphics setting (for lag reduction)<br />
-Fixed a bug with the queued card portrait rendering as a picture from leshy's cabin.<br />
-Your thumb should no longer stick through the card.<br />
-The Cost Change event and the Enchanted Grounds no longer softlock if you have no valid cards.<br />
-Fixed an issue with the Multiplication sigil on mana cost cards.<br />
-If there are no valid spell cards at a choice, the game no longer softlocks.<br />
-Cards with the uncuttable trait will remove your hammer (similar to the ouroberyl).<br />
-A whole lot more<br />
- 3.3.1<br />
-Optimised the Goo Dungeon, (it should be less laggy now)<br />
-Fixed an error message when exiting the shop.<br />
-Spell of Magnus Mox's sigils now appear in the rulebook.<br />
-Background objects in Void Dungeon battles are now properly lit.<br />
-Added a new curse.<br />
- 3.3.0<br />
-Lighting overhaul! The mod now has dynamic lighting and is generally moodier.<br />
-Added another secret config option.<br />
-Orange mage is now a 0/2<br />
-Gembound Ripper is now a 4/1<br />
-Buffed Coffee Mage<br />
-Redone Spell Sigil Icons by annebean.<br />
-Fixed Bleene's Calculus only swapping base stats.<br />
-Added the red text popups when a challenge is activated.<br />
-Battle animations have been made faster.<br />
-Added a transition between the end of a boss battle and the rare card choice.<br />
-The transition between a boss and the tower is now faster.<br />
-When a battle ends, cards that fly away now have the proper card back.<br />
-Fixed walls sometimes being janky (overlapping/spawning inside eachother).<br />
-Fixed a softlock when using certain spells on the moon.<br />
-Fixed a softlock when entering a battle quickly after checking your deck.<br />
- 3.2.3<br />
-Fixed a bug with ouroberyl being able to be hammered.<br />
-Fixed multiplication sigil not working.<br />
-2 Different costs can now be displayed on a card.<br />
-Tutorials now appear in KCM.<br />
-Fixed a softlock when the moon attacks directly.<br />
-Fixed a softlock related to the spell of magnus mox.<br />
-Fixed cards displacing position in the trader event.<br />
- 3.2.2 <br />
-You can now sacrifice spells at Enchanted Grounds, but maybe it's not worth it..<br />
-Some new cards.<br />
-Added an animation and sfx when sacrificing cards.<br />
-Tweaked the likeliness of certain events appearing.<br />
-In the magnificus boss fight, if you have less than 5 health when a new phase starts, you regain 5 health.<br />
-Nerfed magnificus' fight.<br />
-Fixed a softlock with the card merge node.<br />
-Fixed Card Events sometimes softlocking in story mode.<br />
-Fixed audio cutting out after beating Magnificus.<br />
-Fixed issues with overkilling cards with a Revivor on the board.<br />
-Mismagius can no longer mimic the moon, (thanks trobby).<br />
-Fixed Mismagius not giving gems when transforming into a mox.<br />
-Fixed issues with the Cauldron Event.<br />
-Blood and Mana are now completely seperate costs (for custom card creation).<br />
-Energy and Bones correctly display now.<br />
- 3.2.1 <br />
-Fixed a horrible awful softlock.<br />
- 3.2.0 **RELEASE!**<br />
-The Magnificus Boss fight and the final area are fully complete!<br />
-Added the Lonely Wizard's event (that unlocks after you beat him).<br />
-4 new Spell Cards (ideas by ara)<br />
-Reworked Orlu's Phoenix.<br />
-Redone Card Event Icons (by ener, with tweaks from me).<br />
-Lonely Mage's turn timer is now more forgiving.<br />
-Added a synergy, where if a card has both the Ruby Heart and Emerald Heart sigils, it will drop a Goranj's Mox.<br />
-Emerald Maniac's health is now green.<br />
-Fixed Submerge Cards blocking all damage.<br />
-Emerald Maniac no longer dies if the opponent plays it first, even when there are gems in queue.<br />
-Fixed card events changing upon reentering the run.<br />
-Fixed a visual bug where the overkill animation would display, even though the opposing card was shielded.<br />
-The KCM Pause Screen now displays the dungeon name instead of "MAP #X"<br />
-View Deck Button has been added to the KCM Pause Screen.<br />
-Fixed not being able to exit the pause menu using the keyboard/mouse after using the View Deck button.<br />
-Added text that appears if you can't play a card that costs two of the same gems.<br />
- 3.1.5<br />
-Fixed some problematic room layouts.<br />
-Fixed the weaker bleach challenge not working.<br />
-Fixed another exploit with card events.<br />
- 3.1.4 - PI PatchesTM<br />
-Fixed the softlock when an enemy would play a Gem Guardian.<br />
-Buffed Performer. (the rabbit now counts as a gem and gives you a sapphire mox)<br />
-The Portrait Mage event should now pick gem costs from those which are in your deck.<br />
-Fixed an issue with the boss teleporter pedestal showing the incorrect sigil.<br />
-Fixed certain rare cards not showing up.<br />
-Added some more mage cards.<br />
-Fixed Edaxio in area 3 making the whole area dark.<br />
-Copies of a card from the Displacement and the Multiplication sigil now keep their modifications.<br />
-Tweaks to Dungeon Generation and room layouts to (hopefuly) prevent softlocks.<br />
- 3.1.3 - Annoyance FixesTM<br />
-Fixed the secret fight not working.<br />
-Added some more mana cards.<br />
-New art for the menu card and gem shielder by ener.<br />
-Card Events now use the entire deck instead of a small section of it.<br />
-Upgraded spells now have a unique decal.<br />
-Actually fixed the bleach node this time.<br />
-Brittle can no longer be bleached with the weaker bleach challenge.<br />
-Goobert's node no longer softlocks the game when used twice in one game.<br />
-Fixed not being able to re-select your card in goobert's node.<br />
-Fixed queued cards having the wrong card back.<br />
-Fixed the starter decks screen not showing up if you have a challenge level of 1 in vanilla KCM.<br />
-Fixed the position of the shielded gems challenge.<br />
-Fixed the retry button on the KCM end screen.<br />
-Fixed a visual bug where if you had too many cards in your deck, the duel disk deck pile would "overflow".<br />
-Tweaked the amount of challenge points certain challenges give you.<br />
- 3.1.1 & 3.1.2- Hotfix<br />
-Fixed a softlock that happenes when an enemy plays certain spells.<br />
- 3.1.0 - **Area 3!**<br />
-Added the Void Dungeon after amber.<br />
-Fixes with card events.<br />
-The bleaching event should no longer not bleach a remaining sigil, and now has a little bleach pot.<br />
-Added a secret spell unlocked from Amber's node.<br />
-Fixed Amber's node ending after you select a picked spell.<br />
-The Card Cost Change event's button is now the color of the gem cost that the card will change into.<br />
-More room deigns and battle blueprints.<br />
-Amber's phase 2 now has spells<br />
-Fixed a bug where the Boss Teleport Pillar would sometimes not work properly.<br />
-Fixed a bug where your footstep sounds would turn into goo after completing the boss teleport pillar.<br />
-Rare Familiars have been buffed.<br />
-Buffed Bleene's Ability.<br />
-Buffed Chime Mage.<br />
-Updated Stim Machine (Now Stimbot) artwork.<br />
-Fixed amorphous loading latch sigils or other illegal act 3 sigils.<br />
-Fixes with how cards are rendered in battles.<br />
-Fixed Act2 Magnus Mox showing up in rare card choices.<br />
-Portait Mages no longer lag the game upon being loaded.<br />

- 3.0.4,<br />
-Fixed a softlock related to an API issue.<br />
-Optimised battles, Goobert should no longer crash the game after a while.<br />
-Slight visual fixes to the enchantment event.<br />
- 3.0.3,<br />
-Fixed the mod not starting on occasion.<br />
- 3.0.2,<br />
-Dungeon Generation Optimisation! The mod now runs much faster and smoother, crashes should be less frequent.<br />
-2 New events! A rare card drawing node (supposed to be for area 3 but whatever), and an event that appears after you beat Amber for the first time.<br />
-Card Battles and Card Events have shadows now!! Yay<br />
-Story events in the mod are now saved to the mod save data, instead of the main game save.<br />
-The Kaycee Handler DLL is now part of the main MagnificusMod DLL<br />
-Secret Finale Card Back Mode<br />
-Card Cost Choice events can no longer have mana as an option<br />
-Stat Icons now appear in the rulebook (sorta)<br />
-Better Card and Sigil art, (made by NeverNamed which I didn't implement until now :c)<br />
-Fixed a crash that happens when you hover over your deck at card choice events<br />
-Fixed Mox bought from the shop not being added to your deck<br />
-Fixed your deck turning into act 1 cards when re-entering the game<br />
-Finishing a run now unlocks stuff that happens when you die<br />
- 3.0.1,<br />
-Balance tweaks!<br />
-Alchemist - 0/1<br />
-Every spell now costs 1 mana<br />
-Blueprint rebalancing<br />
-Crash fixes? I think?<br />
-The gem pedestal in Amber's area can now be rotated counter clockwise<br />
- 3.0.0, Version 3 lets go baybe<br />
-Prety much just demo 3 ported onto thunderstore, but with some slight tweaks, art changes, balancing and bug fixes.
</details>

## Credits

**--LEAD PROGRAMER--**<br />
-Silenceman<br />
<br />
**--ARTISTS--**<br />
Duoled, Nevernamed, Arackulele, Miner Man Guy, Silenceman, Gold, Catboy Stinkbug, Night Mage, Cevin, Makako, ener, Anne Bean, maatthewcaffee<br />
<br />
**--3D MODELING--**<br />
Pink, Catboy Stinkbug, Silenceman, Trash Man<br />
<br />
**--MUSIC--**<br />
Trash Man<br />

I'd like to give an extra special shoutout to: Emmet, Gold, Catboy Stinkbug, The Golden Prog, Frabbize, Anne Bean, MissingTexturez on the room designs,<br />
Frabbize on the writing, <br />
A couple card concepts from [PixelProfligate](https://twitter.com/PixelProfligate),<br />
Whistlewind and Infiniscryption for the Spell Card Toolkit. (Some code is used for some of the spell cards)<br />
 Megalon, MF DOOM, Mr. Fantastik, Quasimodo, Viktor Vaugn, The Monster Island Czars, and King Geedorah, y'all know who you are!
